Subject: Re: bug#17386: 24.3.90; emacs_abort in cmcheckmagic

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 May 2014 10:28:51 +0300

> From: Nicolas Richard <[email-masked]>
> Date: Fri, 02 May 2014 07:08:18 +0200
> 
> Context : I was in an "emacsclient -t" over ssh session. I noticed emacs
> didn't respond (but I don't know if it was emacs or the ssh connection),
> so I started another ssh session, ran "emacsclient -t" again but only
> part of the emacs frame was drawn (maybe just the mode line, I'm not too
> sure I didn't pay much attention) -- I guess that's when it crashed
> because when I tried starting emacsclient again, nothing happened.
> 
> Here's the backtrace:
> 
> 
> [2:text/plain Hide]
> 
> Reading symbols from /home/youngfrog/sources/running-emacs/src/emacs...done.
> SIGINT is used by the debugger.
> Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
> DISPLAY = :0.0
> TERM = screen
> Breakpoint 1 at 0x817f3cc: file emacs.c, line 351.
> Temporary breakpoint 2 at 0x81a47f6: file sysdep.c, line 854.
> Starting program: /home/youngfrog/sources/running-emacs/src/emacs -nw
> warning: Could not load shared library symbols for linux-gate.so.1.
> Do you need "set solib-search-path" or "set sysroot"?
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib/libthread_db.so.1".
> [New Thread 0xb6389b40 (LWP 856)]
> [New Thread 0xb5801b40 (LWP 859)]
> [New Thread 0xb4e11b40 (LWP 860)]
> [New Thread 0xb286db40 (LWP 1858)]
> [New Thread 0xb206cb40 (LWP 1859)]
> 
> Breakpoint 1, terminate_due_to_signal (sig=6, backtrace_limit=40) at emacs.c:351
> 351	  signal (sig, SIG_DFL);
> #0  terminate_due_to_signal (sig=6, backtrace_limit=40) at emacs.c:351
> #1  0x081a5eaf in emacs_abort () at sysdep.c:2131
> #2  0x0812f8fb in cmcheckmagic (tty=0x897ee80) at cm.c:120
> #3  0x0813284c in tty_write_glyphs (f=0x85c46d0, string=0xb59fdef4, len=80) at term.c:778

Which part of the condition on line 119 of cm.c caused the call to
emacs_abort?